ConversionComparator.Comparison (Java SE 13 & JDK 13 )
Description: declaration: module: jdk.dynalink, package: jdk.dynalink.linker, interface: ConversionComparator, enum: Comparison
Keywords: jdk.dynalink.linker.ConversionComparator.Comparison class

Module jdk.dynalink
Package jdk.dynalink.linker

# Enum ConversionComparator.Comparison

java.lang.Object
java.lang.Enum<ConversionComparator.Comparison>
jdk.dynalink.linker.ConversionComparator.Comparison

All Implemented Interfaces:
  `Serializable`, `Comparable<ConversionComparator.Comparison>`, `Constable`

Enclosing interface:
  ConversionComparator

    public static enum ConversionComparator.Comparison
    extends Enum<ConversionComparator.Comparison>

Enumeration of possible outcomes of comparing one conversion to another.

- ## Nested Class Summary

  ## Nested classes/interfaces declared in class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `INDETERMINATE` | The conversions cannot be compared.
  `TYPE_1_BETTER` | The first conversion is better than the second one.
  `TYPE_2_BETTER` | The second conversion is better than the first one.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static ConversionComparator.Comparison` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
  `static ConversionComparator.Comparison[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods declared in class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INDETERMINATE

    public static final ConversionComparator.Comparison INDETERMINATE
    The conversions cannot be compared.

  - ### TYPE_1_BETTER

    public static final ConversionComparator.Comparison TYPE_1_BETTER
    The first conversion is better than the second one.

  - ### TYPE_2_BETTER

    public static final ConversionComparator.Comparison TYPE_2_BETTER
    The second conversion is better than the first one.

- ## Method Details

  - ### values

    public static ConversionComparator.Comparison[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ConversionComparator.Comparison valueOf​(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null